IF NOT EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[pub_dbconnection]') AND type = 'U')
CREATE TABLE [dbo].[pub_dbconnection]
(
    [dc_cmpid] int NOT NULL DEFAULT((0)),
    [dc_name] varchar(256) COLLATE Chinese_PRC_CI_AS NOT NULL DEFAULT(''),
    [dc_connectionurl] varchar(1024) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [dc_username] varchar(128) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [dc_password] varchar(128) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [dc_id] int NOT NULL IDENTITY(1, 1),
    [dc_dbtype] varchar(255) COLLATE Chinese_PRC_CI_AS NOT NULL DEFAULT(''),
    CONSTRAINT [pk_dbconnection] PRIMARY KEY ([dc_cmpid] ASC)
    CONSTRAINT [pk_dbconnection] PRIMARY KEY ([dc_name] ASC)
)